Index: TXM/trunk/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/SaveAnnotationsAndUpdateCorpus.java
===================================================================
--- TXM/trunk/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/SaveAnnotationsAndUpdateCorpus.java	(revision 3571)
+++ TXM/trunk/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/SaveAnnotationsAndUpdateCorpus.java	(revision 3572)
@@ -1,6 +1,8 @@
 package org.txm.annotation.kr.rcp.commands;
 
-import java.util.LinkedHashMap;
+import java.util.ArrayList;
+import java.util.Collections;
+import java.util.List;
 
 import org.eclipse.core.commands.AbstractHandler;
 import org.eclipse.core.commands.ExecutionEvent;
@@ -14,9 +16,10 @@
 import org.eclipse.osgi.util.NLS;
 import org.eclipse.swt.widgets.Display;
 import org.eclipse.ui.handlers.HandlerUtil;
-import org.txm.annotation.kr.core.AnnotationManager;
 import org.txm.annotation.kr.core.KRAnnotationEngine;
 import org.txm.annotation.kr.core.preferences.KRAnnotationPreferences;
+import org.txm.concordance.rcp.editors.ConcordanceEditor;
+import org.txm.core.results.TXMResult;
 import org.txm.objects.Workspace;
 import org.txm.rcp.commands.workspace.UpdateCorpus;
 import org.txm.rcp.messages.TXMUIMessages;
@@ -30,160 +33,89 @@
 	
 	public static final String ID = SaveAnnotationsAndUpdateCorpus.class.getCanonicalName();
 	
-	LinkedHashMap<String, MainCorpus> selectedCorporaToSave = null;
-	
 	@Override
 	public Object execute(ExecutionEvent event) throws ExecutionException {
 		
-		selectedCorporaToSave = null;
 		ISelection sel = HandlerUtil.getCurrentSelection(event);
-		IStructuredSelection selection = null;
-		if (sel instanceof IStructuredSelection) {
-			selection = (IStructuredSelection) sel;
+		if (!(sel instanceof IStructuredSelection)) {
+			Log.info("No available selection to target the corpus annotations to save");	
+			return null;
 		}
-		if (selection.size() > 0) {
-			if (selection.getFirstElement() instanceof MainCorpus) {
-				MainCorpus corpus = (MainCorpus) selection.getFirstElement();
-				
-				AnnotationManager am;
-				try {
-					am = KRAnnotationEngine.getAnnotationManager(corpus);
-					if (am == null) {
-						Log.warning("No annotation to save for: "+corpus);
-						return null; // nothing to do
-					}
-					
-					if (!KRAnnotationEngine.needToSaveAnnotations(corpus)) {
-						Log.warning("No annotation to save for: "+corpus);
-						return null;
-					}
-					
-					selectedCorporaToSave = new LinkedHashMap<>();
-					selectedCorporaToSave.put(corpus.getName(), corpus);
-				}
-				catch (Exception e) {
-					// TODO Auto-generated catch block
-					e.printStackTrace();
-				}
-				
-				
-				
+		IStructuredSelection selection = (IStructuredSelection) sel;
+		
+		List<MainCorpus> corpora = Workspace.getInstance().getDeepChildren(MainCorpus.class);
+		Collections.sort(corpora);
+		ArrayList<MainCorpus> corpusWithAnnotationsToSave = new ArrayList<>();
+		for (MainCorpus corpus : corpora) {
+			if (KRAnnotationEngine.needToSaveAnnotations(corpus)) {
+				corpusWithAnnotationsToSave.add(corpus);
 			}
 		}
-		//		
-		//		MainCorpus corpus = null;
-		//
-		//		if (HandlerUtil.getActiveEditor(event) instanceof ConcordanceEditor) {
-		//			corpus = ((ConcordanceEditor) HandlerUtil.getActiveEditor(event)).getCorpus().getMainCorpus();
-		//		} else {
-		//			Object s = selection.getFirstElement();
-		//			if (s == null) {
-		//				Log.info("No available selection to target the corpus annotations to save");
-		//				return null;
-		//			} else if ((s instanceof MainCorpus)) {
-		//				corpus = (MainCorpus) s;
-		//			} else if (s instanceof TXMResult) {
-		//				corpus = ((TXMResult) s).getFirstParent(MainCorpus.class);
-		//			} else {
-		//				Log.info("No available selection to target the corpus annotations to save");
-		//				return null;
-		//			}
-		//		}
-		//		
+
+//		if (HandlerUtil.getActiveEditor(event) instanceof ConcordanceEditor) {
+//			corpus = ((ConcordanceEditor) HandlerUtil.getActiveEditor(event)).getCorpus().getMainCorpus();
+//		} else {
+//			Object s = selection.getFirstElement();
+//			if (s == null) {
+//				Log.info("No available selection to target the corpus annotations to save");
+//				return null;
+//			} else if ((s instanceof MainCorpus)) {
+//				corpus = (MainCorpus) s;
+//			} else if (s instanceof TXMResult) {
+//				corpus = ((TXMResult) s).getFirstParent(MainCorpus.class);
+//			} else {
+//				Log.info("No available selection to target the corpus annotations to save");
+//				return null;
+//			}
+//		}
 		
-		LinkedHashMap<String, MainCorpus> corporaWithAnnotationsToSave = null;
-		if (selectedCorporaToSave == null) {
-			
-			corporaWithAnnotationsToSave = new LinkedHashMap<>();
-			for (MainCorpus corpus : Workspace.getInstance().getDeepChildren(MainCorpus.class)) {
-				if (!corpus.getProject().isOpen()) continue;
-				AnnotationManager am;
-				try {
-					am = KRAnnotationEngine.getAnnotationManager(corpus);
-				}
-				catch (Exception e) {
-					// TODO Auto-generated catch block
-					e.printStackTrace();
-					continue;
-				}
-				if (am == null) {
-					continue; // nothing to do
-				}
-				
-				if (!KRAnnotationEngine.needToSaveAnnotations(corpus)) {
-					continue;
-				}
-				
-				corporaWithAnnotationsToSave.put(corpus.getName(), corpus);
-			}
-			
-			if (corporaWithAnnotationsToSave.size() == 0) {
-				Log.info("No CQP annotation found to save in the corpora.");
-				return null;
-			}
+		if (corpusWithAnnotationsToSave.size() == 0) {
+			Log.info(NLS.bind("No CQP annotations found to save in the corpora: {0}", corpora));
+			return null;
 		}
 		
 		try {
-			//			if (!KRAnnotationEngine.needToSaveAnnotations(corpus)) {
-			//				Log.info(NLS.bind("No CQP annotation found to save in the {0} corpus.", corpus));
-			//				return null;
-			//			}
 			
 			// System.out.println("DISPLAY="+Display.getDefault());
 			final Boolean[] doit = new Boolean[1];
 			doit[0] = true;
+			final MainCorpus[] corpus = new MainCorpus[1];
 			
 			final Boolean[] doupdateedition = new Boolean[1];
 			doupdateedition[0] = KRAnnotationPreferences.getInstance().getBoolean(KRAnnotationPreferences.UPDATE_EDITION);
 			
-			UpdateCorpusDialog dialog = new UpdateCorpusDialog(Display.getDefault().getActiveShell(), corporaWithAnnotationsToSave);
-			dialog.setTitle("Select corpus to save and update options");
-			dialog.setMessages(null, dialog.getBottomMessage());
-			dialog.setDoForceUpdate(false);
-			dialog.setDoUpdateEdition(KRAnnotationPreferences.getInstance().getBoolean(KRAnnotationPreferences.UPDATE_EDITION));
-			
 			Display.getDefault().syncExec(new Runnable() {
 				
 				@Override
 				public void run() {
+					UpdateCorpusDialog dialog = new UpdateCorpusDialog(Display.getDefault().getActiveShell());
+					dialog.setTitle("Before saving annotations...");
+					dialog.setMessages("Save Annotations and update the corpus.", dialog.getBottomMessage());
+					dialog.setDoForceUpdate(false);
+					dialog.setDoUpdateEdition(KRAnnotationPreferences.getInstance().getBoolean(KRAnnotationPreferences.UPDATE_EDITION));
+					if (selection.getFirstElement() != null && selection.getFirstElement() instanceof MainCorpus) {
+						dialog.setCorpusToUpdate((MainCorpus) selection.getFirstElement());
+					}
+					dialog.setCorporaToUpdate(corpusWithAnnotationsToSave);
 					
 					doit[0] = dialog.open() == Window.OK;
 					doupdateedition[0] = dialog.getDoUpdateEdition();
-					if (dialog.getSelectedCorpus() != null) {
-						selectedCorporaToSave = dialog.getSelectedCorpus();
-					}
+					corpus[0] = dialog.getCorpustoUpdate();
 				}
 			});
 			if (doit[0] == false) {
 				return null;
 			}
 			
-			if (selectedCorporaToSave.size() == 0) {
-				Log.info("No corpus selected. Aborting.");
+			final MainCorpus fcorpus = corpus[0];
+			
+			Log.info(NLS.bind("Saving {0} annotations...", fcorpus.getName()));
+			JobHandler job = SaveAnnotations.save(fcorpus);
+			if (job == null) {
 				return null;
 			}
-			
-			
-			JobHandler job = null;
-			
-			Log.info(NLS.bind("Saving {0} annotations...", selectedCorporaToSave.keySet()));
-			for (MainCorpus corpus :  selectedCorporaToSave.values()) {
-				try {
-					job = SaveAnnotations.save(corpus);
-					if (job == null) {
-						return null;
-					} else {
-						job.join();
-					}
-				}
-				catch (Exception e) {
-					// TODO Auto-generated catch block
-					e.printStackTrace();
-					return null;
-				}
-			}
-			
-			if (job != null && job.getState() == Status.OK_STATUS.getCode()) {
+
+			if (job.getState() == Status.OK_STATUS.getCode()) {
 				if (KRAnnotationPreferences.getInstance().getBoolean(KRAnnotationPreferences.UPDATE)) {
 					
 					JobHandler job2 = new JobHandler("Updating corpus editions and indexes", true) {
@@ -193,36 +125,24 @@
 							this.runInit(monitor);
 							
 							try {
-								monitor.setTaskName("Updating corpora: "+selectedCorporaToSave.values());
-								for (MainCorpus fcorpus :  selectedCorporaToSave.values()) {
-									JobHandler job2 = UpdateCorpus.update(fcorpus, false, doupdateedition[0]);
-									if (fcorpus != null && job2 != null) {
-										try {
-											job2.join();
+								monitor.setTaskName("Updating corpus");
+								if (fcorpus != null && UpdateCorpus.update(fcorpus, false, doupdateedition[0]) != null) {
+									monitor.worked(50);
+									this.syncExec(new Runnable() {
+										
+										@Override
+										public void run() {
+											CorporaView.refreshObject(fcorpus);
 										}
-										catch (InterruptedException e) {
-											// TODO Auto-generated catch block
-											e.printStackTrace();
-										}
-										monitor.worked(50);
-									}
-									else {
-										monitor.worked(50);
-										Log.warning("Fail to update corpus. Aborting");
-										Log.warning("Fix XML-TXM files and call command 'UpdateCorpus'");
-										return Status.CANCEL_STATUS;
-									}
+									});
+									return Status.OK_STATUS;
 								}
-								
-								this.syncExec(new Runnable() {
-									
-									@Override
-									public void run() {
-										CorporaView.refresh();
-									}
-								});
-								return Status.OK_STATUS;
-								
+								else {
+									monitor.worked(50);
+									Log.warning("Fail to update corpus. Aborting");
+									Log.warning("Fix XML-TXM files and call command 'UpdateCorpus'");
+									return Status.CANCEL_STATUS;
+								}
 							} catch(ThreadDeath ex) {
 								Log.info(TXMUIMessages.executionCanceled);
 								return Status.CANCEL_STATUS;
@@ -234,6 +154,10 @@
 					Log.warning("CQP indexes not updated. Only the XML-TXM files have been updated. Call Update corpus later to access the annotations");
 				}
 			}
+
+			CorporaView.refresh();
+			
+			return fcorpus;
 		}
 		catch (Exception e) {
 			// TODO Auto-generated catch block
@@ -241,8 +165,5 @@
 			return null;
 		}
 		
-		CorporaView.refresh();
-		
-		return corporaWithAnnotationsToSave;
 	}
 }
Index: TXM/trunk/org.txm.core/src/java/org/txm/core/results/TXMResult.java
===================================================================
--- TXM/trunk/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 3571)
+++ TXM/trunk/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 3572)
@@ -5,6 +5,7 @@
 import java.io.IOException;
 import java.lang.reflect.Constructor;
 import java.lang.reflect.Field;
+import java.nio.file.Path;
 import java.text.DateFormat;
 import java.text.SimpleDateFormat;
 import java.util.ArrayList;
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorporaDirectory.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorporaDirectory.java	(revision 3571)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorporaDirectory.java	(revision 3572)
@@ -120,6 +120,9 @@
 	 */
 	public static JobHandler loadBinaryCorpusFromCorporaDirectory(final File directory, final boolean askSelection, final boolean replace, final boolean loadDirectories) {
 
+		
+		final List<File> files = getBinaryCorpusSelection(directory, loadDirectories);
+		
 		JobHandler jobhandler = new JobHandler(NLS.bind(TXMUIMessages.LoadBinaryCorporaDirectory_loadingCorporaFromTheP0Directory, directory), true) {
 
 			JobHandler self = this;
@@ -154,7 +157,7 @@
 
 							@Override
 							public void run() {
-								List<File> files = getBinaryCorpusSelection(directory, loadDirectories);
+								
 								ArrayList<Project> tmp = loadBinaryCorpusFromCorporaDirectory(files, self, monitor, replace);
 								if (tmp != null) {
 									newProjects.addAll(tmp);
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/ShowSelected.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/ShowSelected.java	(revision 3571)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/ShowSelected.java	(revision 3572)
@@ -28,6 +28,10 @@
 package org.txm.rcp.commands;
 
 import java.io.File;
+import java.io.IOException;
+import java.nio.file.Files;
+import java.nio.file.attribute.FileOwnerAttributeView;
+import java.util.Map;
 
 import org.eclipse.core.commands.AbstractHandler;
 import org.eclipse.core.commands.ExecutionEvent;
@@ -59,6 +63,37 @@
 				System.out.println(" path="+f.getAbsolutePath()); //$NON-NLS-1$
 				System.out.println(" size="+f.length()/1000+" kb"); //$NON-NLS-1$ //$NON-NLS-2$
 				System.out.println(" rights: read="+f.canRead()+" write="+f.canWrite()+" execute="+f.canExecute()); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+				// creation time, last access, lastModofiedTime
+				// getOwner getGroup
+				try {
+					Map<String, Object> attrs = Files.readAttributes(f.toPath(), "*");
+					
+					if (attrs.get("posix:owner") != null) {
+						System.out.println(" owner: "+attrs.get("posix:owner"));
+						System.out.println(" ggroup: "+attrs.get("posix:group"));
+					}
+					
+					System.out.println(" last access time: "+attrs.get("lastAccessTime"));
+					System.out.println(" last modified time: "+attrs.get("lastModifiedTime"));
+					System.out.println(" creation time: "+attrs.get("creationTime"));
+					
+//					
+//					for (String attr : attrs.keySet()) {
+//						System.out.println(attr+":"+attrs.get(attr));
+//					}
+//					attrs = Files.readAttributes(f.toPath(), "posix:*");
+//					for (String attr : attrs.keySet()) {
+//						System.out.println("posix: "+attr+":"+attrs.get(attr));
+//					}
+//					FileOwnerAttributeView foaw = Files.getFileAttributeView(f.toPath(), FileOwnerAttributeView.class);
+//					
+//					System.out.println("Owner: "+foaw.getOwner());
+//					System.out.println("Last modification date: "+Files.getLastModifiedTime(f.toPath()));
+				}
+				catch (IOException e) {
+					// TODO Auto-generated catch block
+					e.printStackTrace();
+				}
 			} else {
 				System.out.println(elem);
 			}
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/UpdateCorpusDialog.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/UpdateCorpusDialog.java	(revision 3571)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/UpdateCorpusDialog.java	(revision 3572)
@@ -1,24 +1,32 @@
 package org.txm.rcp.swt.dialog;
 
-import java.util.LinkedHashMap;
+import java.util.ArrayList;
 
 import org.eclipse.jface.dialogs.Dialog;
+import org.eclipse.jface.viewers.ArrayContentProvider;
 import org.eclipse.jface.viewers.IStructuredSelection;
+import org.eclipse.jface.viewers.ListViewer;
+import org.eclipse.jface.viewers.StructuredSelection;
 import org.eclipse.swt.SWT;
 import org.eclipse.swt.layout.GridData;
 import org.eclipse.swt.layout.GridLayout;
+import org.eclipse.swt.layout.RowLayout;
 import org.eclipse.swt.widgets.Button;
 import org.eclipse.swt.widgets.Composite;
 import org.eclipse.swt.widgets.Control;
+import org.eclipse.swt.widgets.Group;
 import org.eclipse.swt.widgets.Label;
 import org.eclipse.swt.widgets.List;
 import org.eclipse.swt.widgets.Shell;
-import org.txm.objects.CorpusBuild;
+import org.txm.objects.Workspace;
 import org.txm.rcp.messages.TXMUIMessages;
+import org.txm.rcp.swt.GLComposite;
+import org.txm.rcp.swt.provider.SimpleLabelProvider;
+import org.txm.searchengine.cqp.CQPSearchEngine;
 import org.txm.searchengine.cqp.corpus.MainCorpus;
 
 public class UpdateCorpusDialog extends Dialog {
-
+	
 	protected String title = TXMUIMessages.UpdateCorpus;
 	protected String topMessage = TXMUIMessages.UpdateTheCorpusFromItsXMLTXMFiles;
 	protected String bottomMessage = TXMUIMessages.AllEditorsUsingThisCorpusWillBeClosedandtheCorpusWillBeUpdatedContinue;
@@ -30,16 +38,19 @@
 	public boolean doOpenCorpusParameters = false;
 	public boolean doUpdateEditions = false;
 	public boolean doForceUpdate = false;
-	private LinkedHashMap<String, MainCorpus> corpora;
-	private LinkedHashMap<String, MainCorpus> selectedCorpora;
-	private List valuesList;
+	public MainCorpus corpusToUpdate = null;
+	private Button modifiesTextsCheck;
+	private ListViewer corpusList;
+	private java.util.List<MainCorpus> corpora;
 	
-	public UpdateCorpusDialog(Shell parentShell, LinkedHashMap<String, MainCorpus> corpora) {
+	
+	
+	public UpdateCorpusDialog(Shell parentShell) {
 		
 		super(parentShell);
-		this.corpora = corpora;
 	}
 	
+	
 	@Override
 	protected void configureShell(Shell newShell) {
 		super.configureShell(newShell);
@@ -48,23 +59,16 @@
 	
 	@Override
 	protected Control createDialogArea(Composite parent) {
+		
 		Composite comp = (Composite) super.createDialogArea(parent);
-
+		
 		GridLayout layout = (GridLayout) comp.getLayout();
 		layout.numColumns = 1;
 		layout.verticalSpacing = 20;
 		layout.marginWidth = 15;
 		
-		if (topMessage !=null && topMessage.length() > 0) {
-			createTopMessageArea(comp);
-		}
+		createTopMessageArea(comp);
 		
-		if (corpora != null && corpora.size() > 1) {
-			createCorporaSelectionArea(comp);
-		} else {
-			selectedCorpora = corpora;
-		}
-		
 		createButtonsArea(comp);
 		
 		createBottomMessageArea(comp);
@@ -72,34 +76,70 @@
 		return comp;
 	}
 	
-	private void createCorporaSelectionArea(Composite p) {
+	protected void createButtonsArea(Composite comp) {
 		
-		this.selectedCorpora = new LinkedHashMap<>();
+		GridData data = null;
 		
-		Label valuesListLabel = new Label(p, SWT.NONE);
-		valuesListLabel.setText("Select the corpus annotations to save :");
+		if (corpora != null) {
+			
+			GLComposite line = new GLComposite(comp, SWT.NONE, "");
+			data = new GridData(GridData.FILL, GridData.FILL, true, false);
+			line.setLayoutData(data);
+			line.getLayout().numColumns = 1;
+			
+			Label l = new Label(line, SWT.NONE);
+			data = new GridData(GridData.FILL, GridData.FILL, false, false);
+			l.setLayoutData(data);
+			l.setText(TXMUIMessages.corpusToProcess);
+			data = new GridData(GridData.FILL, GridData.FILL, true, false);
+			
+			corpusList = new ListViewer(line, SWT.SINGLE | SWT.READ_ONLY);
+			data = new GridData(GridData.FILL, GridData.FILL, true, false);
+			corpusList.getList().setLayoutData(data);
+			corpusList.setLabelProvider(new SimpleLabelProvider());
+			corpusList.setContentProvider(new ArrayContentProvider());
+			
+			corpusList.setInput(corpora);
+			
+			if (corpusToUpdate != null && corpora.contains(corpusToUpdate)) {
+				corpusList.setSelection(new StructuredSelection(corpusToUpdate));
+			}
+			else if (corpora.size() > 0) {
+				corpusList.getList().select(0);
+			}
+		}
 		
-		valuesList = new List(p, SWT.MULTI | SWT.BORDER);
-		GridData data = new GridData(GridData.FILL_HORIZONTAL);
-		valuesList.setLayoutData(data);
-		valuesList.setItems(corpora.keySet().toArray(new String[corpora.size()]));
-		valuesList.selectAll();
-	}
-
-	protected void createButtonsArea(Composite comp) {
+		Group textsGroup = new Group(comp, SWT.NONE);
+		data = new GridData(GridData.FILL, GridData.FILL, true, false);
+		textsGroup.setLayoutData(data);
+		textsGroup.setLayout(new RowLayout(SWT.HORIZONTAL));
+		textsGroup.setText(TXMUIMessages.textsToProcess);
 		
-		Label titleLabel = new Label(comp, SWT.NONE);
-		titleLabel.setText("Options :");
+		modifiesTextsCheck = new Button(textsGroup, SWT.RADIO);
+		modifiesTextsCheck.setText(TXMUIMessages.withModifications);
+		modifiesTextsCheck.setToolTipText("Only the modified corpus texts are updated");
+		modifiesTextsCheck.setSelection(!doForceUpdate);
 		
-		GridData data = new GridData(GridData.FILL_HORIZONTAL);
+		forceUpdateCheck = new Button(textsGroup, SWT.RADIO);
+		forceUpdateCheck.setText(TXMUIMessages.common_all);
+		forceUpdateCheck.setToolTipText("All the corpus texts will be updated, modified or not");
+		forceUpdateCheck.setSelection(doForceUpdate);
 		
-		openCorpusParameters = new Button(comp, SWT.CHECK);
-		data = new GridData(GridData.FILL_HORIZONTAL);
-		openCorpusParameters.setLayoutData(data);
-		openCorpusParameters.setText(TXMUIMessages.ShowMoreUpdateParametersBeforeUpdating);
-		openCorpusParameters.setToolTipText(TXMUIMessages.UseThisToChangeTheCorpusParametersBeforeUpdatingTheCorpus);
-		openCorpusParameters.setSelection(doOpenCorpusParameters);
-
+		//		Group todoGroup = new Group(comp, SWT.NONE);
+		//		data = new GridData(GridData.FILL, GridData.FILL, true, false);
+		//		todoGroup.setLayoutData(data);
+		//		todoGroup.setLayout(new RowLayout(SWT.HORIZONTAL));
+		//		todoGroup.setText("Update work to do");
+		//		
+		//		Button updateIndexCheck = new Button(todoGroup, SWT.CHECK);
+		//		data = new GridData(GridData.FILL_HORIZONTAL);
+		//		//updateIndexCheck.setLayoutData(data);
+		//		updateIndexCheck.setText("Search indexes");
+		//		updateIndexCheck.setToolTipText("This work cannot be disabled");
+		//		updateIndexCheck.setSelection(true);
+		//		updateIndexCheck.setEnabled(false);
+		
+		
 		updateEditionsCheck = new Button(comp, SWT.CHECK);
 		data = new GridData(GridData.FILL_HORIZONTAL);
 		updateEditionsCheck.setLayoutData(data);
@@ -107,14 +147,14 @@
 		updateEditionsCheck.setToolTipText(TXMUIMessages.IfNotCheckedTheEditionPagesAreNotUpdatedAndMightNotReflectThechanges);
 		updateEditionsCheck.setSelection(doUpdateEditions);
 		
-		forceUpdateCheck = new Button(comp, SWT.CHECK);
+		openCorpusParameters = new Button(comp, SWT.CHECK);
 		data = new GridData(GridData.FILL_HORIZONTAL);
-		forceUpdateCheck.setLayoutData(data);
-		forceUpdateCheck.setText(TXMUIMessages.ForceUpdateOfNonModifiedTexts);
-		forceUpdateCheck.setToolTipText(TXMUIMessages.WhenCheckedThisOptionMakeTXMUpdateAllIndexesAndEditionsOfAllTexts);
-		forceUpdateCheck.setSelection(doForceUpdate);
+		openCorpusParameters.setLayoutData(data);
+		openCorpusParameters.setText(TXMUIMessages.ShowMoreUpdateParametersBeforeUpdating);
+		openCorpusParameters.setToolTipText(TXMUIMessages.UseThisToChangeTheCorpusParametersBeforeUpdatingTheCorpus);
+		openCorpusParameters.setSelection(doOpenCorpusParameters);
 	}
-
+	
 	protected void createTopMessageArea(Composite comp) {
 		
 		Label mainMessage = new Label(comp, SWT.WRAP);
@@ -130,24 +170,18 @@
 		GridData data = new GridData(GridData.FILL_HORIZONTAL);
 		mainMessage.setLayoutData(data);
 	}
-
+	
 	@Override
 	protected void buttonPressed(int buttonId) {
 		if (buttonId == Dialog.OK) {
 			doUpdateEditions = updateEditionsCheck.getSelection();
 			doForceUpdate = forceUpdateCheck.getSelection();
 			doOpenCorpusParameters = openCorpusParameters.getSelection();
-			if (corpora != null) {
-				selectedCorpora = new LinkedHashMap<>();
-				for (String item : valuesList.getSelection()) {
-					selectedCorpora.put(item, corpora.get(item));
-				}
-			}
 		}
 		
 		super.buttonPressed(buttonId);
 	}
-
+	
 	/**
 	 * 
 	 * @return the update edition button value AFTER this dialog is closed
@@ -177,13 +211,40 @@
 	
 	/**
 	 * 
+	 * @return the selected corpus to update
+	 */
+	public MainCorpus getCorpustoUpdate() {
+		
+		return this.corpusToUpdate;
+	}
+	
+	/**
+	 * 
+	 * @return the selected corpus to update
+	 */
+	public void setCorpusToUpdate(MainCorpus corpus) {
+		
+		this.corpusToUpdate = corpus;
+	}
+	
+	/**
+	 * 
+	 * @return set the corpora to save
+	 */
+	public void setCorporaToUpdate(java.util.List<MainCorpus> corpora) {
+		
+		this.corpora = corpora;
+	}
+	
+	/**
+	 * 
 	 * @return the force update button value AFTER this dialog is closed
 	 */
 	public void setDoForceUpdate(boolean doForceUpdate) {
 		
 		this.doForceUpdate = doForceUpdate;
 	}
-
+	
 	public boolean getDoOpenCorpusParameters() {
 		
 		return doOpenCorpusParameters;
@@ -193,7 +254,7 @@
 		
 		this.doOpenCorpusParameters = doOpenCorpusParameters;
 	}
-
+	
 	public void setMessages(String topMessage, String bottomMessage) {
 		
 		this.topMessage = topMessage;
@@ -212,9 +273,4 @@
 		
 		this.title = title;
 	}
-
-	public LinkedHashMap<String, MainCorpus> getSelectedCorpus() {
-		
-		return selectedCorpora;
-	}
 }
